@echo off

rem This simplified batch file assumes.
rem   F: is your first network drive letter.
rem   You use NE2000 network cards.
rem   C:\NET  is your subdirectory on C: that contains the network drivers.
rem

cls
c:
cd \
if exist F:*.* goto CONT
if exist F:*.  goto CONT
if exist F:\PUBLIC\*.* goto CONT

cd \net
LSL 
NE2000
IPXODI 
VLM
cd \

:CONT
if exist F:*.*          GOTO LOGIN
if exist F:\*.*         GOTO LOGIN
if exist F:\PUBLIC\*.*  GOTO LOGIN

:ERROR
echo .
echo    It was not possible to load the network drivers.
echo    Please reboot this work station to reset all drivers.
echo    If this problem persists then please call XXX-XXXX to
echo    report that you had problems loading the network drivers.
echo .
goto exit

:LOGIN
F:
CD\
IF EXIST \LOGIN\*.* CD \LOGIN
IF NOT EXIST NLOGIN.EXE         GOTO ALT-LOGIN
IF NOT EXIST C:\NET\NLOGIN2.BAT GOTO ALT-LOGIN
echo . You are connected to a Netware 4.10 server.
echo ..............................................................................
echo .  Do not give anyone your password.  You are responsible for the account.   .
echo .                                                                            .
echo .  If your network account is located on servers EARTH, JUPITER, PLUTO or    .
echo .  MERCURY, then you can type your 'short' network name which is normally    .
echo .  composed of the first letter of your first name and first seven letters   .
echo .  of your last name.  (example: Regina Cain's account name is RCAIN)        .
echo .                                                                            .
echo .  If your network account is located on server MARS (Netware 3.11 server),  .
echo .  you will need to use the syntax of  Servername/Username.                  .
echo ..............................................................................
rem  
rem  Syntax:  NLogin [UserName] [/C=Drive\Path] [/B=BaseContext]
rem  Samples:
rem    NLogin             - execute utility, inquire username, write NLogin1.Bat.
rem    NLogin /C=Drive:\Path
rem       - execute, inquire username, write NLogin1.Bat in specified directory.
rem    NLogin /B=BaseSearchContext
rem       - execute utility, inquire username, search for username starting in
rem         specified container and go deeper, write NLogin1.Bat.
rem    Note: all options may be used on same line.
rem    Results:  1st parameter = FullNetworkName  3rd parameter = Preferred Server
rem  ERRORLEVEL (return) values for batch files:
rem    15.  Unable to initialize Netware APIs.
rem    14.  Unable to initialize/free Unicodes.
rem    13.  Unable to get current Netware environment.
rem    12.  Not running on a Netware 4.10 server.
rem     8.  Unable to write NLOGIN1.BAT file.
rem     7.  Unable to get current subdirectory name.
rem     0.  Successful.
rem
NLOGIN %1 /C=C:\NET
C:\NET\NLOGIN1.BAT
GOTO EXIT

:ALT-LOGIN
echo . You are connected to a Netware 3.11 server.
echo .............................................................................
echo .  Do not give anyone your password.  You are responsible for the account.  .
echo .                                                                           .
echo .  If your network account is located on servers EARTH, JUPITER, PLUTO or   .
echo .  MERCURY, then you will need to use the login syntax:                     .
echo .     Server/Username.Department.Location                                   .
echo .  For example, if your user name is RCAIN, department is Finance, home     .
echo .  server is JUPITER, and your location is HQ, then you would type:         .
echo .     JUPITER/RCAIN.FINANCE.HQ                                              .
echo .                                                                           .
echo .  If your network account is located on server MARS (Netware 3.11 server), .
echo .  you will need to use the syntax of  Servername/Username.                 .
echo .............................................................................
rem  /NB - means no red banner.
LOGIN %1 /NB
:exit
C:
